<template>
  <span class="login-banner" :class="themeClasses">
    <span class="banner-body">
      <span class="banner-title"
        >{{ $t(`loginBanner.${type}.title`) }}<span class="ic-sm-arrow"></span
      ></span>
      <span class="banner-desc">{{ $t(`loginBanner.${type}.desc`) }}</span>
    </span>
  </span>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  props: {
    type: {
      type: String,
      default: "booking"
    }
  },

  computed: {
    ...mapGetters("theme", ["themeClasses"])
  }
};
</script>

<style lang="scss" scoped>
.login-banner {
  position: relative;
  display: inline-block;
  background-color: $color-genesis-white;
  border-radius: 4px;
  box-sizing: border-box;
  text-align: center;
  width: 100%;
  max-width: 355px;

  @include media-breakpoint-up(md) {
    max-width: 90%;
  }
}

.banner-body {
  position: relative;
  vertical-align: middle;
  display: inline-block;
  text-align: left;
  width: 100%;
  padding-right: 90px;
  overflow: hidden;

  @include media-breakpoint-up(md) {
    padding-right: 0;
    padding-left: 110px;

    &:before {
      content: "";
      position: absolute;
      z-index: 0;
      right: 0;
      top: 0;
      background-image: url("/static/images/illustration-banner-greybg.png");
      background-size: 318px 274px;
      background-repeat: no-repeat;
      background-position: 100px -100px;
      width: 318px;
      height: 100%;
    }
  }

  &:after {
    content: "";
    position: absolute;
    top: 0;
    right: 15px;
    height: 100%;
    width: 60px;
    background-image: url("/static/images/login-banner-bg.png");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 60px 45px;

    @include media-breakpoint-up(md) {
      right: none;
      left: 30px;
      width: 80px;
      background-size: 80px 60px;
    }
  }
}

.banner-title {
  position: relative;
  z-index: 1;
  display: inline-block;
  color: $color-primary-black;
  font-size: 18px;
  padding: 20px 0 10px 20px;
  vertical-align: middle;
  white-space: nowrap;
}

.banner-desc {
  position: relative;
  z-index: 1;
  display: block;
  color: $color-primary-grey;
  font-size: 12px;
  padding: 0 0 20px 20px;
}

.ic-sm-arrow {
  transform: rotateZ(-90deg);
  display: inline-block;
  font-size: 12px;
  vertical-align: middle;
  margin-left: 10px;
}
</style>
